path: /build/build/hwloc-sys-apps-2.11.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="cairo pci udev xml" emerge sys-apps/hwloc -pv -t && \
    USE="cairo pci udev xml" emerge -j ${JOBS} --nodeps sys-apps/hwloc
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/hwloc && luet-portage --dir /pkgdir/hwloc
    sys-apps/hwloc && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e2f4919efcba8e20bec9e087e47b84d19d54533857163411ab27d08d8233ca79
  package:
    name: hwloc
    version: 2.11.1
    category: sys-apps
    use_flags:
    - cairo
    - pci
    - udev
    - xml
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Displays the hardware topology in convenient formats
    uri:
    - https://www.open-mpi.org/projects/hwloc/
    license: BSD
    buildtimestamp: 2024-08-18 23:55:30.558056304 +0000 UTC m=+188.807456053
    labels:
      BDEPEND: '>=sys-devel/autoconf-2.69-r4 virtual/pkgconfig >=app-portage/elt-patches-20170815
        || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      DEPEND: '>=sys-libs/ncurses-5.9-r3:= cairo? ( >=x11-libs/cairo-1.12.14-r4[X?,svg(+)?]
        ) pci? ( >=sys-apps/pciutils-3.3.0-r2 >=x11-libs/libpciaccess-0.13.1-r1 )
        udev? ( virtual/libudev:= ) xml? ( >=dev-libs/libxml2-2.9.1-r4 )'
      IUSE: cairo +cpuid debug +pci static-libs svg udev xml X
      RDEPEND: '>=sys-libs/ncurses-5.9-r3:= cairo? ( >=x11-libs/cairo-1.12.14-r4[X?,svg(+)?]
        ) pci? ( >=sys-apps/pciutils-3.3.0-r2 >=x11-libs/libpciaccess-0.13.1-r1 )
        udev? ( virtual/libudev:= ) xml? ( >=dev-libs/libxml2-2.9.1-r4 )'
      emerge.packages: sys-apps/hwloc
      kit: core-hw-kit
      original.package.name: sys-apps/hwloc
      original.package.slot: "0"
      original.package.version: 2.11.1
    treedir: /build/packages
  package_dir: /pkgdir/hwloc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0373815bfed6f51b2cd9ffb29ba2f07165d1a2a1e21f465bb2fdb8bec32d9788
compressiontype: zstd
files:
- usr/bin/hwloc-annotate
- usr/bin/hwloc-bind
- usr/bin/hwloc-calc
- usr/bin/hwloc-compress-dir
- usr/bin/hwloc-diff
- usr/bin/hwloc-distrib
- usr/bin/hwloc-gather-cpuid
- usr/bin/hwloc-gather-topology
- usr/bin/hwloc-info
- usr/bin/hwloc-ls
- usr/bin/hwloc-patch
- usr/bin/hwloc-ps
- usr/bin/lstopo
- usr/bin/lstopo-no-graphics
- usr/include/hwloc/autogen/config.h
- usr/include/hwloc/bitmap.h
- usr/include/hwloc/cpukinds.h
- usr/include/hwloc/cuda.h
- usr/include/hwloc/cudart.h
- usr/include/hwloc/deprecated.h
- usr/include/hwloc/diff.h
- usr/include/hwloc/distances.h
- usr/include/hwloc/export.h
- usr/include/hwloc/gl.h
- usr/include/hwloc/glibc-sched.h
- usr/include/hwloc/helper.h
- usr/include/hwloc/inlines.h
- usr/include/hwloc/levelzero.h
- usr/include/hwloc/linux-libnuma.h
- usr/include/hwloc/linux.h
- usr/include/hwloc/memattrs.h
- usr/include/hwloc/nvml.h
- usr/include/hwloc/opencl.h
- usr/include/hwloc/openfabrics-verbs.h
- usr/include/hwloc/plugins.h
- usr/include/hwloc/rename.h
- usr/include/hwloc/rsmi.h
- usr/include/hwloc/shmem.h
- usr/include/hwloc.h
- usr/lib64/hwloc/hwloc_pci.so
- usr/lib64/hwloc/hwloc_xml_libxml.so
- usr/lib64/libhwloc.so
- usr/lib64/libhwloc.so.15
- usr/lib64/libhwloc.so.15.8.0
- usr/lib64/pkgconfig/hwloc.pc
- usr/sbin/hwloc-dump-hwdata
- usr/share/applications/lstopo.desktop
- usr/share/bash-completion/completions/hwloc-annotate
- usr/share/bash-completion/completions/hwloc-bind
- usr/share/bash-completion/completions/hwloc-calc
- usr/share/bash-completion/completions/hwloc-compress-dir
- usr/share/bash-completion/completions/hwloc-diff
- usr/share/bash-completion/completions/hwloc-distrib
- usr/share/bash-completion/completions/hwloc-gather-cpuid
- usr/share/bash-completion/completions/hwloc-gather-topology
- usr/share/bash-completion/completions/hwloc-info
- usr/share/bash-completion/completions/hwloc-ls
- usr/share/bash-completion/completions/hwloc-patch
- usr/share/bash-completion/completions/hwloc-ps
- usr/share/bash-completion/completions/lstopo
- usr/share/bash-completion/completions/lstopo-no-graphics
- usr/share/doc/hwloc-2.11.1/AUTHORS.bz2
- usr/share/doc/hwloc-2.11.1/NEWS.bz2
- usr/share/doc/hwloc-2.11.1/README.bz2
- usr/share/doc/hwloc-2.11.1/VERSION.bz2
- usr/share/doc/hwloc-2.11.1/dynamic_SVG_example.html
- usr/share/hwloc/hwloc-dump-hwdata.service
- usr/share/hwloc/hwloc-ps.www/README
- usr/share/hwloc/hwloc-ps.www/assets/index.html
- usr/share/hwloc/hwloc-ps.www/assets/main.css
- usr/share/hwloc/hwloc-ps.www/assets/script.js
- usr/share/hwloc/hwloc-ps.www/assets/style.css
- usr/share/hwloc/hwloc-ps.www/client.js
- usr/share/hwloc/hwloc-ps.www/package.json
- usr/share/hwloc/hwloc-valgrind.supp
- usr/share/hwloc/hwloc.dtd
- usr/share/hwloc/hwloc2-diff.dtd
- usr/share/hwloc/hwloc2.dtd
- usr/share/man/man1/hwloc-annotate.1.bz2
- usr/share/man/man1/hwloc-bind.1.bz2
- usr/share/man/man1/hwloc-calc.1.bz2
- usr/share/man/man1/hwloc-compress-dir.1.bz2
- usr/share/man/man1/hwloc-diff.1.bz2
- usr/share/man/man1/hwloc-distrib.1.bz2
- usr/share/man/man1/hwloc-dump-hwdata.1.bz2
- usr/share/man/man1/hwloc-gather-cpuid.1.bz2
- usr/share/man/man1/hwloc-gather-topology.1.bz2
- usr/share/man/man1/hwloc-info.1.bz2
- usr/share/man/man1/hwloc-ls.1.bz2
- usr/share/man/man1/hwloc-patch.1.bz2
- usr/share/man/man1/hwloc-ps.1.bz2
- usr/share/man/man1/lstopo-no-graphics.1.bz2
- usr/share/man/man1/lstopo.1.bz2
- usr/share/man/man7/hwloc.7.bz2
- usr/share/pixmaps/lstopo.png
- var/db/pkg/sys-apps/hwloc-2.11.1/BDEPEND
- var/db/pkg/sys-apps/hwloc-2.11.1/BUILD_TIME
- var/db/pkg/sys-apps/hwloc-2.11.1/CATEGORY
- var/db/pkg/sys-apps/hwloc-2.11.1/CBUILD
- var/db/pkg/sys-apps/hwloc-2.11.1/CFLAGS
- var/db/pkg/sys-apps/hwloc-2.11.1/CHOST
- var/db/pkg/sys-apps/hwloc-2.11.1/CONTENTS
- var/db/pkg/sys-apps/hwloc-2.11.1/COUNTER
- var/db/pkg/sys-apps/hwloc-2.11.1/CXXFLAGS
- var/db/pkg/sys-apps/hwloc-2.11.1/DEFINED_PHASES
- var/db/pkg/sys-apps/hwloc-2.11.1/DEPEND
- var/db/pkg/sys-apps/hwloc-2.11.1/DESCRIPTION
- var/db/pkg/sys-apps/hwloc-2.11.1/EAPI
- var/db/pkg/sys-apps/hwloc-2.11.1/FEATURES
- var/db/pkg/sys-apps/hwloc-2.11.1/HOMEPAGE
- var/db/pkg/sys-apps/hwloc-2.11.1/INHERITED
- var/db/pkg/sys-apps/hwloc-2.11.1/IUSE
- var/db/pkg/sys-apps/hwloc-2.11.1/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/hwloc-2.11.1/KEYWORDS
- var/db/pkg/sys-apps/hwloc-2.11.1/LDFLAGS
- var/db/pkg/sys-apps/hwloc-2.11.1/LICENSE
- var/db/pkg/sys-apps/hwloc-2.11.1/NEEDED
- var/db/pkg/sys-apps/hwloc-2.11.1/PF
- var/db/pkg/sys-apps/hwloc-2.11.1/PROVIDES
- var/db/pkg/sys-apps/hwloc-2.11.1/RDEPEND
- var/db/pkg/sys-apps/hwloc-2.11.1/REQUIRES
- var/db/pkg/sys-apps/hwloc-2.11.1/SIZE
- var/db/pkg/sys-apps/hwloc-2.11.1/SLOT
- var/db/pkg/sys-apps/hwloc-2.11.1/USE
- var/db/pkg/sys-apps/hwloc-2.11.1/environment.bz2
- var/db/pkg/sys-apps/hwloc-2.11.1/hwloc-2.11.1.ebuild
- var/db/pkg/sys-apps/hwloc-2.11.1/repository
package_cacheimage: ""
runtime:
  name: hwloc
  version: 2.11.1
  category: sys-apps
  use_flags:
  - cairo
  - pci
  - udev
  - xml
  requires:
  - name: libxml2
    version: '>=0'
    category: dev-libs-2
  - name: pciutils
    version: '>=0'
    category: sys-apps
  - name: ncurses
    version: '>=0'
    category: sys-libs
  - name: cairo
    version: '>=0'
    category: x11-libs
  - name: libpciaccess
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Displays the hardware topology in convenient formats
  uri:
  - https://www.open-mpi.org/projects/hwloc/
  license: BSD
  labels:
    BDEPEND: '>=sys-devel/autoconf-2.69-r4 virtual/pkgconfig >=app-portage/elt-patches-20170815
      || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    DEPEND: '>=sys-libs/ncurses-5.9-r3:= cairo? ( >=x11-libs/cairo-1.12.14-r4[X?,svg(+)?]
      ) pci? ( >=sys-apps/pciutils-3.3.0-r2 >=x11-libs/libpciaccess-0.13.1-r1 ) udev?
      ( virtual/libudev:= ) xml? ( >=dev-libs/libxml2-2.9.1-r4 )'
    IUSE: cairo +cpuid debug +pci static-libs svg udev xml X
    RDEPEND: '>=sys-libs/ncurses-5.9-r3:= cairo? ( >=x11-libs/cairo-1.12.14-r4[X?,svg(+)?]
      ) pci? ( >=sys-apps/pciutils-3.3.0-r2 >=x11-libs/libpciaccess-0.13.1-r1 ) udev?
      ( virtual/libudev:= ) xml? ( >=dev-libs/libxml2-2.9.1-r4 )'
    emerge.packages: sys-apps/hwloc
    kit: core-hw-kit
    original.package.name: sys-apps/hwloc
    original.package.slot: "0"
    original.package.version: 2.11.1
